flow-rptfmt(1)

NAME
flow-rptfmt — Format the output of flow-report in ASCII or HTML

SYNOPSIS

flow-rptfmt [-hHnp] [-a alarm_time] [-f format] [-F fields] [-m max_lines] [-s sort_field]

DESCRIPTION

The flow-rptfmt utility processes the CSV output of flow-report into formatted ASCII or HTML. Sorting, maximum display lines, field filter, header display, and name substitution are supported during post processing. Additionally an alarm can be set for use in CGI scripts to limit the CPU time of formatting.

OPTIONS

-a alarm_time
    Exit after alarm_time seconds.

-f ascii|html
    Set output format. Defaults to ASCII.

-F display_fields
    Limit columns to display_fields

-h  Help.

-H  Display header information.

-m max_lines
    Limit rows to max_lines.

-n  Enable symbol table lookups.

-p  Display in percent total form.

-s sort_field
    Sort on sort_field. Prepend with + for ascending, - for descending sort.

EXAMPLES

Format the output of daily-ip-protocol.txt in ASCII. Display the ip-protocol and octets fields in percent total format with symbols. Limit output to top 5 sorted by octets.

cat daily-ip-protocol.txt | flow-rptfmt -fascii -Fip-protocol,octets -p -n -m5

BUGS

Sorting could be faster. Percent totals could be faster. May not work with flow-report prior to 0.68.

AUTHOR

Mark Fullmer maf@splintered.net

SEE ALSO

flow-tools(1)